[ubuntu-studio-users] How do I install butt? I need to compile from source.

Ralf Mardorf ralf.mardorf at alice-dsl.net
Wed Aug 24 19:46:39 UTC 2016


On Wed, 24 Aug 2016 19:19:18 +0000 (UTC), Alex Armani wrote:
>Package libfltk-dev is a virtual package provided by:
>libfltk1.3-dev 1.3.3-7
>libfltk1.1-dev 1.1.10-22
>You should explicitly select one to install.
>
>E: Unable to locate package portaudio
>E: Package 'libfltk-dev' has no installation candidate

Hi,

you need to chose one of the two available versions of libfltk-dev, so
either run

  sudo apt-get update && sudo apt-get install libfltk1.1-dev

or run

  sudo apt-get update && sudo apt-get install libfltk1.3-dev

I don't know what version you need.

>configure: error: **** Could not find libogg ****

You need to install libogg-dev

  sudo apt-get update && sudo apt-get install libogg-dev

Regarding the versions of libfltk1.1-dev and libfltk1.3-dev you seem to
run xenial, if so, consider to switch from apt-get to apt, this is the
official recommended command line tool for Ubuntu flavours now.

IOW instead of the above run

  sudo apt update && sudo apt install libfltk1.1-dev

or run

  sudo apt update && sudo apt install libfltk1.3-dev

and after that run

  sudo apt update && sudo apt install libogg-dev

Assuming you should use a terminal that temporarily provides a
background that makes coloured fonts less good readable, you
temporarily could disable the coloured output by running

  color="-o APT::Color=\"0\""
  sudo apt $color update && sudo apt $color install libfltk1.1-dev

or

  sudo apt $color update && sudo apt $color install libfltk1.3-dev

and

  sudo apt $color update && sudo apt $color install libogg-dev

Regards,
Ralf



More information about the ubuntu-studio-users mailing list